;Bolder Font Puts Routines (99 Bytes)
;These routines are able to use bolder font version of _vputmap and _vputs.
;It is necessary to include "ion.inc" because these routines use "ionPutSprite".
;
;bputmap - bolder font version of _vputmap
;bputs   - bolder font version of _vputs
;bputsml - multi lines version of bputs
;
;	Written by YUKI. [http://www.ticalc.org/archives/files/authors/70/7071.html]
;


;Inputs   : A = Charcter code, (pencol), (penrow)
;Outputs  : A character is drawn to the graph buffer by XOR sprite. Drawn position is affected by pencol and penrow.
;Destroies: ALL
bputmap:set 2,(iy+50) ;set fracDrawLFont,(iy+fontFlags)
	bcall(4CB1h) ;bcall(_LoadPattern)
	ld b,7
	ld hl,845Ah+1 ;ld hl,lFont_record+1
bpmloop:ld a,(hl)
	rlca
	rlca
	ld (hl),a
	rrca
	or (hl)
	ld (hl),a
	inc hl
	djnz bpmloop
	res 2,(iy+50) ;fracDrawLFont,(iy+fontFlags)
	ld de,(pencol)
	ld a,d
	ld l,e
	ld ix,845Ah+1 ;ld ix,lFont_record+1
	ld b,7
	call ionPutSprite
	ret


;Inputs   : HL = pointer of characters(0 terminated), (pencol), (penrow)
;Outputs  : Characters are drawn to the graph buffer by XOR sprite. Drawn position is affected by pencol and penrow.
;Destroies: ALL
bputs:	ld a,(hl)
	or a
	jp z,bputs_e
	push hl
	call bputmap
	ld a,(penrow)
	add a,7
	ld (penrow),a
	pop hl
	inc hl
	jr bputs
bputs_e:inc hl
	ret


;Inputs   : HL = pointer of characters(end of line is 0, lines terminated is 0,0), (pencol), (penrow)
;Outputs  : Characters are drawn to the graph buffer by XOR sprite. Drawn position is affected by pencol and penrow.
;Destroies: ALL
bputsml:ld a,(penrow)
	ld (dpenrow),a
bputs2:	xor a
	cp (hl)
	jp z,bputs2_e
	call bputs
	ld a,(dpenrow)
	ld (penrow),a
	ld a,(pencol)
	add a,8
	ld (pencol),a
	jp bputs2
bputs2_e:
	inc hl
	ret
dpenrow:.db 0




